## root-system 5.34.00

=== CMakeLists.txt ===
#
# CMakeLists.txt -- by Dario Berzano <dario.berzano@cern.ch>
#
# This file is part of afdsmgrd -- see http://code.google.com/p/afdsmgrd
#
# Main CMake build and install file for afdsmgrd. Other CMakeLists.txt may be
# included in subdirectories.
#

#
# Common parameters
#

# Name of the project and minimum version required
project (afdsmgrd)
cmake_minimum_required (VERSION 2.6)

# Where to find additional modules
set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# The build type
#set (CMAKE_BUILD_TYPE "Debug")

# Tells the user the installation path
message (STATUS "Installation prefix: ${CMAKE_INSTALL_PREFIX}")

#
# Supported build types
#

if (${CMAKE_BUILD_TYPE} STREQUAL "Release")

  message (STATUS "Building in release mode")
  message (STATUS "C++ common build flags: ${CMAKE_CXX_FLAGS_RELEASE}")

elseif (${CMAKE_BUILD_TYPE} STREQUAL "Debug")

  message (STATUS "Building in debug mode")
  message (STATUS "C++ common build flags: ${CMAKE_CXX_FLAGS_DEBUG}")

else ()

  message (FATAL_ERROR "Unsupported build type: ${CMAKE_BUILD_TYPE}")

endif ()

#
# A handy macro to copy a file in install phase without overwriting it. As
# destination directory, both absolute and relative paths are supported.
# Absolute paths are left intact, while relative paths get the CMAKE install
# prefix prepended
#

#macro (install_dont_overwrite SRCFILE DESTDIR)
#
#  get_filename_component (_FILENAME ${SRCFILE} NAME)
#  get_filename_component (_FULLSRC ${SRCFILE} ABSOLUTE)
#
#  if (IS_ABSOLUTE ${DESTDIR})
#    get_filename_component (_FULLDEST ${DESTDIR}/${_FILENAME} ABSOLUTE)
#  else ()
#    get_filename_component (_FULLDEST ${CMAKE_INSTALL_PREFIX}/${DESTDIR}/${_FILENAME} ABSOLUTE)
#  endif ()
#
#  install (CODE "
#    if (NOT EXISTS ${_FULLDEST})
#      message (STATUS \"Installing: ${_FULLDEST}\")
#      configure_file ( \"${_FULLSRC}\" \"${_FULLDEST}\" COPY_ONLY )
#    else ()
#      message (STATUS \"Keeping:    ${_FULLDEST}\")
#    endif ()
#  ")
#
#endmacro ()

#
# Macro to simplify the repetitive use of configure_file () CMake macros.
#

macro (hardconf RELSRC)

  get_filename_component (_ABSSRC ${PROJECT_SOURCE_DIR}/${RELSRC} ABSOLUTE)
  string (REGEX REPLACE "\\.in$" "" _RELDST ${RELSRC})
  get_filename_component (_ABSDST ${PROJECT_BINARY_DIR}/${_RELDST} ABSOLUTE)

  message (STATUS "Configuring ${_ABSSRC}" )

  if (NOT EXISTS ${_ABSSRC})
    message (FATAL_ERROR "Can't find file to configure: ${RELSRC}")
  endif ()

  if (${RELSRC} STREQUAL ${_RELDST})
    message (FATAL_ERROR "File to configure must end with \".in\"")
  endif ()

  configure_file ("${_ABSSRC}" "${_ABSDST}" @ONLY)

endmacro ()

#
# Test for packages
#

# ROOT
find_package (Root REQUIRED)
include_directories (${Root_INCDIR})

# ApMon
if (NOT ApMon_DISABLED)

  find_package (ApMon)

  if (ApMon_FOUND)
    include_directories (${ApMon_INCDIR})
    set (WITH_APMON TRUE)
  endif ()

endif ()

# Extra include paths to add: useful when building from within ROOT with CMake,
# in case `root-config --incdir` is not yet created
if (DEFINED EXTRA_INCDIR)
  string(REPLACE ":" ";" EXTRA_INCDIR_List ${EXTRA_INCDIR})
  message (STATUS "Extra include paths appended:")
  foreach (An_EXTRA_INCDIR ${EXTRA_INCDIR_List})
    message (STATUS " * ${An_EXTRA_INCDIR}")
    include_directories (${An_EXTRA_INCDIR})
  endforeach ()
endif ()

#
# Variables for the main destinations of "install" target, and for substitutions
# in configuration files. Typical directories are: etc, bin, libexec and var.
#

if (ROOT_MODE)
  message (STATUS "Compiling from within ROOT")
  set (DIR_ETC     "${ROOTSYS}/etc/proof")
  set (DIR_BIN     "${ROOTSYS}/bin")
  set (DIR_LIB     "${ROOTSYS}/etc/proof/lib")
  set (DIR_LIBEXEC "${ROOTSYS}/etc/proof")
  set (DIR_VAR     "${ROOTSYS}/etc/proof/var")
  set (DIR_SHARE   "${ROOTSYS}/etc/proof/utils/afdsmgrd")
else ()
  set (DIR_ETC     "${CMAKE_INSTALL_PREFIX}/etc")
  set (DIR_BIN     "${CMAKE_INSTALL_PREFIX}/bin")
  set (DIR_LIB     "${CMAKE_INSTALL_PREFIX}/lib")
  set (DIR_LIBEXEC "${CMAKE_INSTALL_PREFIX}/libexec")
  set (DIR_VAR     "${CMAKE_INSTALL_PREFIX}/var")
  set (DIR_SHARE   "${CMAKE_INSTALL_PREFIX}/share")
endif ()

message (STATUS "Directory \"etc\" is ${DIR_ETC}")
message (STATUS "Directory \"bin\" is ${DIR_BIN}")
message (STATUS "Directory \"lib\" is ${DIR_LIB}")
message (STATUS "Directory \"libexec\" is ${DIR_LIBEXEC}")
message (STATUS "Directory \"var\" is ${DIR_VAR}")
message (STATUS "Directory \"share\" is ${DIR_SHARE}")

#
# Imports subdirectories
#

add_subdirectory (src)

#
# Auto-generate configuration files with proper variables hardcoded: see the
# hardconf macro for more information
#

hardconf ( src/afOptions.h.in )
hardconf ( etc/sysconfig/afdsmgrd.example.in )
hardconf ( etc/init.d/afdsmgrd.in )
hardconf ( etc/afdsmgrd.conf.example.in )
hardconf ( scripts/afdsmgrd-root.sh.in )
hardconf ( etc/afverifier.conf.example.in )
hardconf ( scripts/afverifier-xrd-locate.sh.in )
hardconf ( scripts/afverifier-xrd-rm.sh.in )
hardconf ( scripts/afdsmgrd-xrd-stage-verify.sh.in )
hardconf ( scripts/afverifier.in )

#
# Install directives for non-src files
#

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/etc/afdsmgrd.conf.example DESTINATION ${DIR_ETC})
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/etc/sysconfig/afdsmgrd.example DESTINATION ${DIR_ETC}/sysconfig)
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/etc/init.d/afdsmgrd DESTINATION ${DIR_ETC}/init.d)
install (FILES macros/Verify.C DESTINATION ${DIR_LIBEXEC}/afdsmgrd-macros)
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scripts/afdsmgrd-root.sh DESTINATION ${DIR_LIBEXEC})
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/etc/afverifier.conf.example DESTINATION ${DIR_ETC})
install (FILES macros/LocateVerifyXrd.C DESTINATION ${DIR_LIBEXEC}/afdsmgrd-macros)
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scripts/afverifier-xrd-locate.sh DESTINATION ${DIR_LIBEXEC})
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scripts/afverifier-xrd-rm.sh DESTINATION ${DIR_LIBEXEC})
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scripts/afdsmgrd-xrd-stage-verify.sh DESTINATION ${DIR_LIBEXEC})
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/macros/par/afdsutil/afdsutil.C DESTINATION ${DIR_SHARE})
install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/scripts/afverifier DESTINATION ${DIR_BIN})
install (PROGRAMS scripts/afdsiperm.sh DESTINATION ${DIR_LIBEXEC})

#
# Renew authentication daemon (optional, only in debug mode)
#

if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")

  # Renew authentication daemon: startup script
  configure_file (
    "${PROJECT_SOURCE_DIR}/etc/init.d/afrenewauthd.in"
    "${PROJECT_BINARY_DIR}/etc/init.d/afrenewauthd"
    @ONLY
  )

  # Renew authentication daemon: startup configuration
  configure_file (
    "${PROJECT_SOURCE_DIR}/etc/sysconfig/afrenewauthd.example.in"
    "${PROJECT_BINARY_DIR}/etc/sysconfig/afrenewauthd.example"
    @ONLY
  )

  install (PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/scripts/afrenewauth DESTINATION ${DIR_LIBEXEC})
  install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/scripts/aflib DESTINATION ${DIR_LIBEXEC})
  install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/etc/init.d/afrenewauthd DESTINATION ${DIR_ETC}/init.d)
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/etc/sysconfig/afrenewauthd.example DESTINATION ${DIR_ETC}/sysconfig)

endif ()

#
# Custom uninstall target (external module)
#

add_custom_target (uninstall
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_MODULE_PATH}/Uninstall.cmake)

=== Makefile ===
# Top level Makefile for ROOT System
# Copyright (c) 2000 Rene Brun and Fons Rademakers
#
# Author: Fons Rademakers, 29/2/2000


##### Check version of GNU make #####

MAKE_VERSION_MAJOR := $(word 1,$(subst ., ,$(MAKE_VERSION)))
MAKE_VERSION_MINOR := $(shell echo $(word 2,$(subst ., ,$(MAKE_VERSION))) | \
                              sed 's/\([0-9][0-9]*\).*/\1/')
MAKE_VERSION_MAJOR ?= 0
MAKE_VERSION_MINOR ?= 0
ORDER_ := $(shell test $(MAKE_VERSION_MAJOR) -gt 3 || \
                  test $(MAKE_VERSION_MAJOR) -eq 3 && \
                  test $(MAKE_VERSION_MINOR) -ge 80 && echo '|')

##### Include path/location macros (result of ./configure) #####

include config/Makefile.config

##### Include compiler overrides specified via ./configure #####
##### However, if we are building packages or cleaning, we #####
##### don't include this file since it may screw up things #####
##### Included before Makefile.$ARCH only because of f77   #####
##### if case has to be processed                          #####

ifeq ($(findstring $(MAKECMDGOALS), maintainer-clean debian redhat),)
include config/Makefile.comp
endif
ifeq ($(MAKECMDGOALS),clean)
include config/Makefile.comp
endif

##### Include machine dependent macros                     #####
##### However, if we are building packages or cleaning, we #####
##### don't include this file since it may screw up things #####

ifndef ROOT_SRCDIR
$(error Please run ./configure first)
endif

ifeq ($(findstring $(MAKECMDGOALS), maintainer-clean debian redhat),)
include $(ROOT_SRCDIR)/config/Makefile.$(ARCH)
endif
ifeq ($(MAKECMDGOALS),clean)
include $(ROOT_SRCDIR)/config/Makefile.$(ARCH)
endif

##### Include compiler overrides specified via ./configure #####
##### However, if we are building packages or cleaning, we #####
##### don't include this file since it may screw up things #####

ifeq ($(findstring $(MAKECMDGOALS), maintainer-clean debian redhat),)
include config/Makefile.comp
endif
ifeq ($(MAKECMDGOALS),clean)
include config/Makefile.comp
endif

##### Include library dependencies for explicit linking #####

MAKEFILEDEP = $(ROOT_SRCDIR)/config/Makefile.depend
include $(MAKEFILEDEP)

##### Allow local macros #####

-include MyConfig.mk

##### Modules to build #####

MODULES       = build cint/cint core/metautils core/pcre core/clib core/utils \
                core/textinput core/base core/cont core/meta core/thread \
                io/io math/mathcore net/net core/zip core/lzma math/matrix \
                core/newdelete hist/hist tree/tree graf2d/freetype \
                graf2d/graf graf2d/gpad graf3d/g3d \
                gui/gui math/minuit hist/histpainter tree/treeplayer \
                gui/ged tree/treeviewer math/physics graf2d/postscript \
                core/rint html montecarlo/eg \
                geom/geom geom/geompainter montecarlo/vmc \
                math/fumili math/mlp math/quadp net/auth gui/guibuilder io/xml \
                math/foam math/splot math/smatrix io/sql \
                geom/geombuilder hist/spectrum hist/spectrumpainter \
                gui/fitpanel proof/proof proof/proofplayer \
                gui/sessionviewer gui/guihtml gui/recorder

ifeq ($(ARCH),win32)
MODULES      += core/winnt graf2d/win32gdk
MODULES      := $(filter-out core/newdelete,$(MODULES))
SYSTEML       = $(WINNTL)
SYSTEMO       = $(WINNTO)
SYSTEMDO      = $(WINNTDO)
else
ifeq ($(ARCH),win32gcc)
MODULES      += core/unix
SYSTEML       = $(UNIXL)
SYSTEMO       = $(UNIXO)
SYSTEMDO      = $(UNIXDO)
else
MODULES      += core/unix
SYSTEML       = $(UNIXL)
SYSTEMO       = $(UNIXO)
SYSTEMDO      = $(UNIXDO)
endif
endif
ifeq ($(PLATFORM),ios)
MODULES      += graf2d/ios
endif
ifeq ($(BUILDCOCOA),yes)
MODULES      += graf2d/quartz
MODULES      += graf2d/cocoa
MODULES      += core/macosx
SYSTEML      += $(MACOSXL)
SYSTEMO      += $(MACOSXO)
SYSTEMDO     += $(MACOSXDO)
CORELIBEXTRA += -framework Cocoa
endif
ifeq ($(BUILDX11),yes)
MODULES      += graf2d/x11 graf2d/x11ttf graf3d/x3d rootx
endif
ifeq ($(BUILDGL),yes)
ifeq ($(BUILDFTGL),yes)
MODULES      += graf3d/ftgl
endif
ifeq ($(BUILDGLEW),yes)
MODULES      += graf3d/glew
endif
MODULES      += graf3d/gl graf3d/eve graf3d/gviz3d
endif
ifeq ($(BUILDMYSQL),yes)
MODULES      += sql/mysql
endif
ifeq ($(BUILDORACLE),yes)
MODULES      += sql/oracle
endif
ifeq ($(BUILDPGSQL),yes)
MODULES      += sql/pgsql
endif
ifeq ($(BUILDSAPDB),yes)
MODULES      += sql/sapdb
endif
ifeq ($(BUILDODBC),yes)
MODULES      += sql/odbc
endif
ifeq ($(BUILDRFIO),yes)
MODULES      += io/rfio
endif
ifeq ($(BUILDCASTOR),yes)
MODULES      += io/castor
endif
ifeq ($(BUILDDCAP),yes)
MODULES      += io/dcache
endif
ifeq ($(BUILDGFAL),yes)
MODULES      += io/gfal
endif
ifeq ($(BUILDGLITE),yes)
MODULES      += net/glite
endif
ifeq ($(BUILDBONJOUR),yes)
MODULES      += net/bonjour
endif
ifeq ($(BUILDCHIRP),yes)
MODULES      += io/chirp
endif
ifeq ($(BUILDHDFS),yes)
MODULES      += io/hdfs
endif
ifeq ($(BUILDMEMSTAT),yes)
MODULES      += misc/memstat
endif
ifeq ($(BUILDASIMAGE),yes)
MODULES      += graf2d/asimage
ifeq ($(BUILDFITSIO),yes)
MODULES      += graf2d/fitsio
endif
endif
ifeq ($(BUILDFPYTHIA6),yes)
MODULES      += montecarlo/pythia6
endif
ifeq ($(BUILDFPYTHIA8),yes)
MODULES      += montecarlo/pythia8
endif
ifeq ($(BUILDFFTW3),yes)
MODULES      += math/fftw
endif
ifeq ($(BUILDGVIZ),yes)
MODULES      += graf2d/gviz
endif
ifeq ($(BUILDPYTHON),yes)
MODULES      += bindings/pyroot
endif
ifeq ($(BUILDRUBY),yes)
MODULES      += bindings/ruby
endif
ifeq ($(BUILDXML),yes)
MODULES      += io/xmlparser
endif
ifeq ($(BUILDQT),yes)
MODULES      += graf2d/qt gui/qtroot
endif
ifeq ($(BUILDQTGSI),yes)
MODULES      += gui/qtgsi
endif
ifeq ($(BUILDGENVECTOR),yes)
MODULES      += math/genvector
endif
ifeq ($(BUILDMATHMORE),yes)
MODULES      += math/mathmore
endif
ifeq ($(BUILDREFLEX),yes)
# put reflex right in front of CINT; CINT needs it
MODULES      := $(subst cint/cint,cint/reflex cint/cint,$(MODULES))
endif
ifeq ($(BUILDMINUIT2),yes)
MODULES      += math/minuit2
endif
ifeq ($(BUILDUNURAN),yes)
MODULES      += math/unuran
endif
ifeq ($(BUILDCLING),yes)
# put cling right behind of CINT; e.g. UTILS need it
MODULES      := $(subst cint/cint,cint/cint cint/cling,$(MODULES))
endif
ifeq ($(BUILDCINTEX),yes)
MODULES      += cint/cintex
endif
ifeq ($(BUILDROOFIT),yes)
MODULES      += roofit/roofitcore roofit/roofit roofit/roostats
ifeq ($(BUILDXML),yes)
MODULES      += roofit/histfactory
endif
endif
ifeq ($(BUILDGDML),yes)
MODULES      += geom/gdml
endif
ifeq ($(BUILDTABLE),yes)
MODULES      += misc/table
endif
ifeq ($(BUILDSRPUTIL),yes)
MODULES      += net/srputils
endif
ifeq ($(BUILDKRB5),yes)
MODULES      += net/krb5auth
endif
ifeq ($(BUILDLDAP),yes)
MODULES      += net/ldap
endif
ifeq ($(BUILDMONALISA),yes)
MODULES      += net/monalisa
endif
ifeq ($(BUILDGLOBUS),yes)
MODULES      += net/globusauth
endif
ifneq ($(F77),)
MODULES      += misc/minicern hist/hbook
endif
ifeq ($(HASXRD),yes)
MODULES      += net/netx
ifeq ($(BUILDALIEN),yes)
MODULES      += net/alien
endif
endif
ifeq ($(BUILDCLARENS),yes)
MODULES      += proof/clarens
endif
ifeq ($(BUILDPEAC),yes)
MODULES      += proof/peac
endif
ifneq ($(ARCH),win32)
MODULES      += net/rpdutils net/rootd proof/proofd proof/pq2 proof/proofbench
endif
ifeq ($(BUILDTMVA),yes)
MODULES      += tmva math/genetic
endif
ifeq ($(HASXRD),yes)
ifeq ($(ARCH),win32)
MODULES      += proof/proofd
endif
MODULES      += proof/proofx
endif
ifeq ($(BUILDAFDSMGRD),yes)
MODULES      += proof/afdsmgrd
endif

-include MyModules.mk   # allow local modules

ifneq ($(findstring $(MAKECMDGOALS),distclean maintainer-clean),)
MODULES      += core/unix core/winnt graf2d/x11 graf2d/x11ttf \
                graf3d/gl graf3d/ftgl graf3d/glew io/rfio io/castor \
                montecarlo/pythia6 montecarlo/pythia8 misc/table \
                sql/mysql sql/pgsql sql/sapdb net/srputils graf3d/x3d \
                rootx net/rootd io/dcache io/chirp hist/hbook graf2d/asimage \
                net/ldap net/krb5auth net/rpdutils net/globusauth \
                bindings/pyroot bindings/ruby io/gfal misc/minicern \
                graf2d/qt gui/qtroot gui/qtgsi net/netx net/alien \
                proof/proofd proof/proofx proof/clarens proof/peac proof/pq2 \
                sql/oracle io/xmlparser math/mathmore cint/reflex cint/cintex \
                tmva math/genetic io/hdfs graf2d/fitsio roofit/roofitcore \
                roofit/roofit roofit/roostats roofit/histfactory \
                math/minuit2 net/monalisa math/fftw sql/odbc math/unuran \
                geom/gdml graf3d/eve net/glite misc/memstat \
                math/genvector net/bonjour graf3d/gviz3d graf2d/gviz \
                proof/proofbench proof/afdsmgrd cint/cling graf2d/ios \
                graf2d/quartz graf2d/cocoa core/macosx
MODULES      := $(sort $(MODULES))   # removes duplicates
endif

MODULES      += main   # must be last, $(ALLLIBS) must be fully formed

ifeq ($(BUILDTOOLS),yes)
MODULES       = build cint/cint core/metautils core/clib core/base core/meta \
                core/utils
endif

##### ROOT libraries #####

LPATH         = lib

ifneq ($(PLATFORM),win32)
RPATH        := -L$(LPATH)
CINTLIBS     := -lCint
NEWLIBS      := -lNew
BOOTLIBS     := -lCore -lCint
ifneq ($(ROOTDICTTYPE),cint)
BOOTLIBS     += -lCintex -lReflex
endif
ifeq ($(BUILDCLING),yes)
BOOTLIBS     += -lCling
endif
ROOTLIBS     := -lRIO -lHist -lGraf -lGraf3d -lGpad -lTree \
                -lMatrix -lNet -lThread -lMathCore $(BOOTLIBS)
RINTLIBS     := -lRint
else
CINTLIBS     := $(LPATH)/libCint.lib
NEWLIBS      := $(LPATH)/libNew.lib
BOOTLIBS     := $(LPATH)/libCore.lib $(LPATH)/libCint.lib
ifneq ($(ROOTDICTTYPE),cint)
BOOTLIBS     += $(LPATH)/libCintex.lib $(LPATH)/libReflex.lib
endif
ifeq ($(BUILDCLING),yes)
BOOTLIBS     += $(LPATH)/libCling.lib
endif
ROOTLIBS     := $(LPATH)/libRIO.lib $(LPATH)/libHist.lib \
                $(LPATH)/libGraf.lib $(LPATH)/libGraf3d.lib \
                $(LPATH)/libGpad.lib $(LPATH)/libTree.lib \
                $(LPATH)/libMatrix.lib $(LPATH)/libNet.lib \
                $(LPATH)/libThread.lib $(LPATH)/libMathCore.lib \
                $(BOOTLIBS)
RINTLIBS     := $(LPATH)/libRint.lib
endif

ROOTALIB     := $(LPATH)/libRoot.a
ROOTA        := bin/roota
PROOFSERVA   := bin/proofserva

# ROOTLIBSDEP is intended to match the content of ROOTLIBS
BOOTLIBSDEP   = $(ORDER_) $(CORELIB) $(CINTLIB)
ifneq ($(ROOTDICTTYPE),cint)
BOOTLIBSDEP  += $(CINTEXLIB) $(REFLEXLIB)
endif
ROOTLIBSDEP   = $(BOOTLIBSDEP) $(MATHCORELIB) $(IOLIB) $(NETLIB) $(HISTLIB) \
                $(GRAFLIB) $(G3DLIB) $(GPADLIB) $(TREELIB) $(MATRIXLIB)

# Force linking of not referenced libraries
ifeq ($(FORCELINK),yes)
ifeq ($(PLATFORM),aix5)
ROOTULIBS    := -Wl,-u,.G__cpp_setupG__Net      \
                -Wl,-u,.G__cpp_setupG__IO       \
                -Wl,-u,.G__cpp_setupG__Hist     \
                -Wl,-u,.G__cpp_setupG__Graf     \
                -Wl,-u,.G__cpp_setupG__G3D      \
                -Wl,-u,.G__cpp_setupG__GPad     \
                -Wl,-u,.G__cpp_setupG__Tree     \
                -Wl,-u,.G__cpp_setupG__Thread   \
                -Wl,-u,.G__cpp_setupG__Matrix
else
ifeq ($(PLATFORM),macosx)
LDSYMPREFIX  := _
endif
ROOTULIBS    := -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__Net      \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__IO       \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__Hist     \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__Graf     \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__G3D      \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__GPad     \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__Tree     \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__Thread   \
                -Wl,-u,$(LDSYMPREFIX)G__cpp_setupG__Matrix
endif
endif
ifeq ($(PLATFORM),win32)
ROOTULIBS    := -include:_G__cpp_setupG__Net    \
                -include:_G__cpp_setupG__IO     \
                -include:_G__cpp_setupG__Hist   \

=== core/CMakeLists.txt ===
Set(LibCore_SRCS)
Set(LibCore_INCLUDE_DIRS)
Set(LibCore_LINKDEF)

ROOT_USE_PACKAGE(core/base)
ROOT_USE_PACKAGE(core/clib)
ROOT_USE_PACKAGE(core/cont)
ROOT_USE_PACKAGE(core/meta)
ROOT_USE_PACKAGE(core/textinput)
ROOT_USE_PACKAGE(core/unix)
ROOT_USE_PACKAGE(core/winnt)
ROOT_USE_PACKAGE(core/macosx)
ROOT_USE_PACKAGE(core/zip)
ROOT_USE_PACKAGE(core/lzma)
ROOT_USE_PACKAGE(cint/cint)


if(builtin_pcre)
  add_subdirectory(pcre)
endif()
add_subdirectory(rint)
add_subdirectory(thread)
add_subdirectory(newdelete)
add_subdirectory(clib)
add_subdirectory(cont)
add_subdirectory(textinput)
add_subdirectory(meta)
if(UNIX)
  add_subdirectory(unix)
endif()
if(WIN32)
  add_subdirectory(winnt)
endif()
if(cocoa)
  add_subdirectory(macosx)
endif()
add_subdirectory(zip)
add_subdirectory(lzma)
add_subdirectory(base)
add_subdirectory(metautils)
add_subdirectory(utils)

set(CORE_DICTIONARIES 
    ${METAUTILS_DICTIONARY}
    ${CLIB_DICTIONARY} 
    ${CONT_DICTIONARY} 
    ${TEXTINPUT_DICTIONARY} 
    ${META_DICTIONARY} 
    ${UNIX_DICTIONARY} 
    ${WINNT_DICTIONARY} 
    ${MACOSX_DICTIONARY} 
    ${BASE1_DICTIONARY} 
    ${BASE2_DICTIONARY} 
    ${BASE3_DICTIONARY} 
    ${BASE4_DICTIONARY} 
   ) 

set_source_files_properties(${METAUTILS_DICTIONARY} GENERATED)
set_source_files_properties(${CLIB_DICTIONARY} GENERATED)
set_source_files_properties(${CONT_DICTIONARY} GENERATED)
set_source_files_properties(${TEXTINPUT_DICTIONARY} GENERATED)
set_source_files_properties(${META_DICTIONARY} GENERATED)
if(UNIX)
  set_source_files_properties(${UNIX_DICTIONARY} GENERATED)
endif()
if(WIN32)
  set_source_files_properties(${WINNT_DICTIONARY} GENERATED)
endif()
if(cocoa)
  set_source_files_properties(${MACOSX_DICTIONARY} GENERATED)
endif()
set_source_files_properties(${BASE1_DICTIONARY} GENERATED)
set_source_files_properties(${BASE2_DICTIONARY} GENERATED)
set_source_files_properties(${BASE3_DICTIONARY} GENERATED)
set_source_files_properties(${BASE4_DICTIONARY} GENERATED)

set_source_files_properties(${TEXTINPUT_CXX_SOURCES} PROPERTIES
                             COMPILE_FLAGS -I${CMAKE_SOURCE_DIR}/core/textinput/src )


set_source_files_properties(${CMAKE_SOURCE_DIR}/core/base/src/TPRegexp.cxx
                            ${BASE1_DICTIONARY} ${BASE2_DICTIONARY}
                            COMPILE_FLAGS -I${PCRE_INCLUDE_DIR}
                           )
set_source_files_properties(${CMAKE_SOURCE_DIR}/core/lzma/src/ZipLZMA.c
                            COMPILE_FLAGS -I${LZMA_INCLUDE_DIR}
                           )

if(${GCC_MAJOR} EQUAL 4 AND ${GCC_MINOR} EQUAL 1)
  set_source_files_properties(${CMAKE_SOURCE_DIR}/core/base/src/TString.cxx
                              ${CMAKE_SOURCE_DIR}/core/base/src/TContextMenu.cxx
                              COMPILE_FLAGS -Wno-strict-aliasing
                             )
endif()

if(${ROOT_ARCHITECTURE} MATCHES linuxicc)
  set_source_files_properties(${BASE3_DICTIONARY} 
                              COMPILE_FLAGS -wd191)
endif()


set(INCLUDE_DIRECTORIES 
    ${CMAKE_SOURCE_DIR}/core/metautils/inc 
    ${CMAKE_SOURCE_DIR}/core/meta/inc 
    ${CMAKE_SOURCE_DIR}/core/cont/inc 
    ${CMAKE_SOURCE_DIR}/core/unix/inc 
    ${CMAKE_SOURCE_DIR}/graf3d/g3d/inc
    ${CMAKE_SOURCE_DIR}/net/net/inc
    ${CMAKE_SOURCE_DIR}/core/base/src 
    ${ROOT_INCLUDE_DIR} ) 

ROOT_GENERATE_ROOTMAP(Core LINKDEF ${LibCore_LINKDEF})

include_directories( ${INCLUDE_DIRECTORIES})

if(WIN32)
   set(corelinklibs shell32.lib WSock32.lib Oleaut32.lib Iphlpapi.lib)
elseif(cocoa)
   set(corelinklibs "-framework Cocoa")
endif()

#---Add flags to compile ObjC++
foreach(src ${LibCore_SRCS})
  if(${src} MATCHES "\\.mm$")
    set_source_files_properties(${src} COMPILE_FLAGS "-ObjC++ -std=c++11")
  endif()
endforeach()


ROOT_LINKER_LIBRARY(Core ${LibCore_SRCS} ${CORE_DICTIONARIES} 
                    LIBRARIES ${PCRE_LIBRARIES} ${LZMA_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT} ${corelinklibs}
                    DEPENDENCIES Cint)
add_Dependencies(Core CLIB_DICTIONARY CONT_DICTIONARY  META_DICTIONARY METAUTILS_DICTIONARY BASE_DICTIONARY)
if(UNIX)
  add_dependencies(Core UNIX_DICTIONARY)
endif()
if(WIN32)
  add_dependencies(Core WINNT_DICTIONARY)
endif()
if(cocoa)
  add_dependencies(Core MACOSX_DICTIONARY)
endif()
add_dependencies(Core TEXTINPUT_DICTIONARY)
if(builtin_pcre)
  add_dependencies(Core PCRE)
endif()
if(builtin_lzma)
  add_dependencies(Core LZMA)
endif()

=== graf2d/CMakeLists.txt ===
ROOT_USE_PACKAGE(graf2d/gpad)
ROOT_USE_PACKAGE(graf2d/graf)

if(builtin_freetype)
  add_subdirectory(freetype)
endif()
add_subdirectory(gpad)
add_subdirectory(graf)
add_subdirectory(postscript)
if(WIN32)
  add_subdirectory(win32gdk)
else()
  add_subdirectory(x11)         # special CMakeLists.txt
  add_subdirectory(x11ttf)      # special CMakeLists.txt
endif()
add_subdirectory(asimage)     # special CMakeLists.txt
if(qt)
  add_subdirectory(qt)
endif()
if(gviz)
  add_subdirectory(gviz)
endif()
if(fitsio)
  add_subdirectory(fitsio)
endif()
if(cocoa)
  add_subdirectory(quartz)
  add_subdirectory(cocoa)
endif()

=== graf3d/CMakeLists.txt ===
add_subdirectory(g3d) # special CMakeLists.txt
if(NOT WIN32)
  add_subdirectory(x3d) # special CMakeLists.txt
endif()
if (opengl)
   add_subdirectory(eve) # special CMakeLists.txt
   add_subdirectory(gl) # special CMakeLists.txt
   if(builtin_glew)
      add_subdirectory(glew)
   endif()
   if(builtin_ftgl)
      add_subdirectory(ftgl)
   endif()
  add_subdirectory(gviz3d) # special CMakeLists.txt
endif()

=== io/CMakeLists.txt ===
add_subdirectory(io)  # special CMakeListst.txt 
add_subdirectory(sql)
add_subdirectory(xml)
if(xml)
  add_subdirectory(xmlparser)
endif()
if(castor)
  add_subdirectory(castor)
endif()
if(rfio)
  add_subdirectory(rfio)
endif()

=== main/CMakeLists.txt ===
############################################################################
# CMakeLists.txt file for building ROOT main package
# @author Pere Mato, CERN
############################################################################

ROOT_USE_PACKAGE(io/io)
ROOT_USE_PACKAGE(tree/tree)
ROOT_USE_PACKAGE(core/rint)

if(NOT WIN32)
  ROOT_EXECUTABLE(rootn.exe rmain.cxx LIBRARIES New Core Cint MathCore Rint)
  ROOT_EXECUTABLE(roots.exe roots.cxx LIBRARIES Core Cint MathCore)
  ROOT_EXECUTABLE(ssh2rpd ssh2rpd.cxx ${CMAKE_SOURCE_DIR}/core/clib/src/strlcpy.c )
endif()
ROOT_EXECUTABLE(root.exe rmain.cxx LIBRARIES Core Cint MathCore Rint)
ROOT_EXECUTABLE(proofserv.exe pmain.cxx LIBRARIES Core Cint MathCore)
ROOT_EXECUTABLE(hadd hadd.cxx LIBRARIES Core Cint RIO Net Hist Graf Graf3d Gpad Tree Matrix MathCore Thread)

if(CMAKE_Fortran_COMPILER)
  ROOT_EXECUTABLE(g2root g2root.f LIBRARIES minicern)
  #ROOT_EXECUTABLE(h2root h2root.cxx LIBRARIES Core Cint RIO Net Hist Graf Graf3d Gpad Tree Matrix MathCore Thread minicern)
endif()

=== net/CMakeLists.txt ===
add_subdirectory(net)
add_subdirectory(auth)  # special CMakeListst.txt

if(bonjour)
  add_subdirectory(bonjour)
endif()

if(krb5)
  add_subdirectory(krb5auth)
endif()

if(xrootd)
  add_subdirectory(netx)
  if(NOT WIN32)
    add_subdirectory(rpdutils)
  endif()
  if(alien)
    add_subdirectory(alien)
  endif()
endif()

if(monalisa)
  add_subdirectory(monalisa)
endif()

=== proof/CMakeLists.txt ===
add_subdirectory(proof)
add_subdirectory(proofplayer) # special CMakeListst.txt
if(afdsmgrd)
  add_subdirectory(afdsmgrd)
endif()
if(xrootd)
  add_subdirectory(proofd)
  add_subdirectory(proofx)
endif()

=== roofit/CMakeLists.txt ===
if(NOT CMAKE_PROJECT_NAME STREQUAL ROOT)
  cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
  project(RooFit)
  find_package(ROOT REQUIRED)
  include(${ROOT_USE_FILE})
endif()

ROOT_USE_PACKAGE(math/mathcore)
ROOT_USE_PACKAGE(math/foam)
ROOT_USE_PACKAGE(math/minuit)
ROOT_USE_PACKAGE(proof/proof)

if(mathmore OR ROOT_mathmore_FOUND)
  set(ROOT_MATHMORE_LIBRARY MathMore)
  ROOT_USE_PACKAGE(math/mathmore)	
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/roofit/inc) 
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/roofitcore/inc) 
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/roostats/inc) 

add_subdirectory(roofitcore)
add_subdirectory(roofit)
add_subdirectory(roostats)
if(xml OR ROOT_xml_FOUND)
  add_subdirectory(histfactory)
endif()

=== rootx/CMakeLists.txt ===
############################################################################
# CMakeLists.txt file for building ROOT rootx package
# @author Pere Mato, CERN
############################################################################

ROOT_USE_PACKAGE(core)

ROOT_EXECUTABLE(root *.cxx  ${CMAKE_SOURCE_DIR}/core/clib/src/strlcpy.c 
                LIBRARIES ${X11_LIBRARIES} ${X11_Xpm_LIB} ${X11_Xft_LIB} ${X11_Xext_LIB})

=== sql/CMakeLists.txt ===
if(mysql)
  add_subdirectory(mysql)
endif()
if(oracle)
  add_subdirectory(oracle)
endif()
if(odbc)
  add_subdirectory(odbc)
endif()

=== debian/changelog ===
root-system (5.34.00-2) unstable; urgency=low

  * Python binding: move Python runtime files from
    libroot-bindings-python-dev to libroot-bindings-python$ver.
    (Closes: #698452)
  * libroot-graf2d-graf{5.34,-dev}: fix typo in package description.
    Thanks to Davide Prina.
  * libroot-graf2d-gpad{5.34,-dev}: remove duplicated paragraphs in
    package description. Thanks to Davide Prina.
  * Add Dutch translation. Thanks to Vincent Zweije.
  * libroot-geom-dev: fix multi-arch support.
  * Fix FTBFS with eglibc-2.17. (Closes: #701415)

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 14 Jul 2012 20:56:35 +0800

root-system (5.34.00-1) unstable; urgency=low

  * New upstream version.
  * Support kFreeBSD.
  * Support Multiarch.
  * Fix CVE-2010-3376: insecure library loading. (Closes: #598419)
  * Fix incomplete ftgl-dev => libftgl-dev transition. (Closes: #498677)
  * root-system-rootd: ship /var/spool/rootd/* as empty directories.
    (Closes: #677053)
  * Debconf translation updates
    - Brazilian Portuguese, thanks to Flamarion Jorge. (Closes: #545383)
    - Danish, thanks to Joe Dalton. (Closes: #600750)
  * Fix typo in package description of packages
    - root-system-doc, thanks to d.haley. (Closes: #567444)
    - {root-plugin-tree-treeviewer,root-plugin-hist-histpainter,
      root-plugin-hist-spectrumpainter}, thanks to Davide Prina.
      (Closes: #678805, #678843)
  * Fix broken python-binding, thanks to Ulrik Sverdrup and Andy Buckley.
    (Closes: #574517)
  * ttf-root-installer: download font files from web instead of ftp
    server.  (Closes: #678807)

 -- Lifeng Sun <lifongsun@gmail.com>  Mon, 25 Jun 2012 05:24:56 +0800

root-system (5.34.00~rc1-1) unstable; urgency=low

  * New upstream version.
  * New maintainer. Thanks Christian Holm Christensen for his huge
    contribution to the HEP free software community. (Closes: #636974)

 -- Lifeng Sun <lifongsun@gmail.com>  Sat, 03 Jun 2012 17:26:05 +0800

root-system (5.28.00-2) UNRELEASED; urgency=low

  * New upstream version
  * Upgraded the patches (5.28.00b)

 -- Antonio Salvucci <s4lb04@gmail.com>  Thu, 17 Mar 2011 02:02:50 +0100

root-system (5.28.00-1) UNRELEASED; urgency=low

  * New upstream version (5.28.00a)

 -- Antonio Salvucci <s4lb04@gmail.com>  Thu, 17 Mar 2011 02:00:14 +0100

root-system (5.24.00-1) unstable; urgency=low

  * New upstream version
  * Fix "no hashsum checks of downloaded content, thus allowing
    downloading and installation of malicious content" Implemented check
    against static sha256sums distributed with package (Closes: #545240)
  * Fix "generates incorrect package with python-support from
    experimental" Packages now make sym-links in /usr/lib, so
    pythons' loader should be able to find it.  Hence, the sym-link is
    gone. (Closes: #517320)
  * Fix "bashism in debian/rules" replaced echo -e with printf
    (Closes: #535421)
  * Fix "libroot5.18 has circular Depends on root-plugin-proof" Fixed by
    new library structure (Closes: #524991)
  * Fix "root-system-rootd fails to install" Do not modify rootd user
    in pre-installation. (Closes: #498398)
  * Fix "should this package be orphaned?" New upload w/bug fixes
    (Closes: #543737)
  * Fix "root-system new version available" New version (Closes: #515568)
  * Fix "[INTL:ja] please add Japanese po-debconf template translation
    (ja.po)" Added translation (Closes: #546187)
  * Fix "Package is missing most of its files" Fixed by rebuilt
    (Closes: #515091)
  * Fixed by rebuilt
  * Fix "h2root crashes on amd64" Fixed by upstream's introduction of 
    libminicern (Closes: #518926)
  * Fix "No symlink into /usr/lib/root" Fixed by new directory structure
    - libraries in /usr/lib - and libQt is a plug-in and should not be linked
   to directly by developer. (Closes: #525142)
  * Fix "include Math/ProbFuncMathCore.h fails with CINT" Removed relative
    path components, since CINT should know where to look.(Closes: #534202)
  * root-system-rootd does it's set-up of the user and group in postinst,
    thereby removing the need to pre-depend on adduser, etc.

 -- Christian Holm Christensen <cholm@nbi.dk>  Fri, 18 Sep 2009 13:51:15 -0400

root-system (5.23.05-1) unstable; urgency=low

  * New upstream version
  * Fix "root-system - FTBFS: error: unrecognized command line option "-
    m32"" Removed the -m32 flag for s390 builds (Closes: #517575)
  * Fix "root-system_5.18.00-2.3+b1(mips/unstable): FTFBS on mips.
    Undefined symbol." Use krb5_c_valid_cksumtype instead of private
    valid_cksumtype (Closes: #529998)
  * Fix "FTBFS: krb5auth/src/Krb5Auth.cxx:424: error: 'valid_cksumtype'
    was not declared in this scope" See above. (Closes: #533964)
  * Fix "root-system - FTBFS: Attempts at guessing your architecture
    failed." Put stuff into relevant files - still need to see that it
    actuall works on s390 (Closes: #487935)
  * Fix "root-system_5.18.00-2(sparc/unstable): FTBFS,
    `debian/tmp/usr/bin/olbd': No such file or directory" Re-enabled built of
    XRootD stuff on sparc.   Hopefully it will work.  (Closes: #493345)
  * Fix "[debconf_rewrite] Debconf templates and debian/control review"
    Adopted all recommendations - thanks. (Closes: #514827)
  * Fix "root-system new version available" Build newer version
    (Closes: #515568)
  * Fix "returns errors when using graphics" Fixed by proper rebuild
    (Closes: #515632)
  * Added new package libroot-net-bonjour that contains zeroconf service
    declaration and discovery classes.
  * Build-depend on libglew instead of using built-in code.
  * Moved TFileMerger back to proofplayer and made proofplayer a callable
    extension rather than a plug-in.

 -- Christian Holm Christensen <cholm@nbi.dk>  Thu, 25 Jun 2009 15:55:08 +0200

root-system (5.23.01-1) unstable; urgency=low

  * New upstream version
  * Moved TFileMerger from proof/proofplayer to tree/treeplayer.
  * Moved TXMLEngine from io/xml to io/io



=== debian/control ===
Source: root-system
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://root.cern.ch
Build-Depends: debhelper (>= 5.0.37.2), lsb-release, autotools-dev, po-debconf, libssl-dev, comerr-dev, libxpm-dev, libltdl-dev, x11proto-xext-dev, libxext-dev, libfreetype6-dev, libpcre3-dev, zlib1g-dev | libz-dev, python-dev (>= 2.1), graphviz, ttf-freefont, libncurses5-dev, libgraphviz-dev, libavahi-core-dev, libxft-dev, python-support (>= 0.3), ruby (>= 4.9), ruby1.9.1-dev | ruby-dev (>= 4.9), libglu1-mesa-dev| xlibmesa-glu-dev |  libglu-dev, libglew1.5-dev | libglew-dev, libftgl-dev, libgl2ps-dev, libxml2-dev, libgsl0-dev, libavahi-compat-libdnssd-dev, libldap2-dev | libldap-dev, libxmlrpc-c3-dev | libxmlrpc-c-dev | libxmlrpc-core-c3-dev, libcurl4-gnutls-dev | libcurl4-openssl-dev | libcurl-dev, libjpeg-dev, libpng12-dev, libtiff4-dev, libgif-dev, libxinerama-dev, libfftw3-dev | fftw3-dev, libpythia8-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-common-dev, libglobus-gsi-sysconfig-dev, libglobus-gssapi-gsi-dev, libglobus-gsi-callback-dev, libglobus-gsi-cert-utils-dev, libglobus-openssl-module-dev, libglobus-gsi-proxy-core-dev, libglobus-callout-dev, globus-proxy-utils,krb5-user|heimdal-clients, libmysqlclient-dev, libiodbc2-dev | unixodbc-dev,  libpq-dev, gfortran|fortran-compiler, libqt4-dev (>= 4.3.0) | libqt3-mt-dev (>= 3.3.0), qt4-dev-tools (>= 4.3.0) | qt3-dev-tools (>= 3.3.0), libqt4-opengl-dev, libkrb5-dev|heimdal-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/root-system.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/root-system.git

Package: root-system
Architecture: all
Depends: root-system-bin, libroot-core-dev, ${misc:Depends}
Recommends: libroot-graf3d-gl-dev (>= ${binary:Version}), libroot-io-xmlparser-dev (>= ${binary:Version}), libroot-math-mathmore-dev (>= ${binary:Version}), libroot-math-unuran-dev (>= ${binary:Version}), libroot-misc-memstat-dev (>= ${binary:Version}), libroot-misc-table-dev (>= ${binary:Version}), libroot-net-bonjour-dev (>= ${binary:Version}), libroot-net-ldap-dev (>= ${binary:Version}), root-plugin-graf2d-asimage (>= ${binary:Version}), root-plugin-gui-qt (>= ${binary:Version}), root-plugin-graf2d-qt (>= ${binary:Version}), root-plugin-math-fftw3 (>= ${binary:Version}), root-plugin-graf2d-gviz (>= ${binary:Version}), root-plugin-math-minuit2 (>= ${binary:Version}), root-plugin-net-krb5 (>= ${binary:Version}), root-plugin-sql-odbc (>= ${binary:Version}), libroot-geom-dev (>= ${binary:Version}), libroot-graf2d-gpad-dev (>= ${binary:Version}), libroot-graf2d-graf-dev (>= ${binary:Version}), libroot-graf2d-postscript-dev (>= ${binary:Version}), libroot-graf3d-eve-dev (>= ${binary:Version}), libroot-graf3d-g3d-dev (>= ${binary:Version}), libroot-gui-dev (>= ${binary:Version}), libroot-gui-ged-dev (>= ${binary:Version}), libroot-hist-dev (>= ${binary:Version}), libroot-hist-spectrum-dev (>= ${binary:Version}), libroot-html-dev (>= ${binary:Version}), libroot-io-dev (>= ${binary:Version}), libroot-math-foam-dev (>= ${binary:Version}), libroot-math-genvector-dev (>= ${binary:Version}), libroot-math-mathcore-dev (>= ${binary:Version}), libroot-math-matrix-dev (>= ${binary:Version}), libroot-math-minuit-dev (>= ${binary:Version}), libroot-math-mlp-dev (>= ${binary:Version}), libroot-math-physics-dev (>= ${binary:Version}), libroot-math-quadp-dev (>= ${binary:Version}), libroot-math-smatrix-dev (>= ${binary:Version}), libroot-math-splot-dev (>= ${binary:Version}), libroot-misc-minicern-dev (>= ${binary:Version}), libroot-montecarlo-eg-dev (>= ${binary:Version}), libroot-montecarlo-vmc-dev (>= ${binary:Version}), libroot-net-dev (>= ${binary:Version}), libroot-net-auth-dev (>= ${binary:Version}), libroot-proof-dev (>= ${binary:Version}), libroot-proof-proofplayer-dev (>= ${binary:Version}), libroot-tmva-dev (>= ${binary:Version}), libroot-tree-dev (>= ${binary:Version}), libroot-tree-treeplayer-dev (>= ${binary:Version}), root-plugin-geom-geombuilder (>= ${binary:Version}), root-plugin-geom-geompainter (>= ${binary:Version}), root-plugin-graf2d-x11 (>= ${binary:Version}), root-plugin-graf3d-x3d (>= ${binary:Version}), root-plugin-gui-fitpanel (>= ${binary:Version}), root-plugin-gui-guibuilder (>= ${binary:Version}), root-plugin-gui-sessionviewer (>= ${binary:Version}), root-plugin-hist-hbook (>= ${binary:Version}), root-plugin-hist-histpainter (>= ${binary:Version}), root-plugin-hist-spectrumpainter (>= ${binary:Version}), root-plugin-io-sql (>= ${binary:Version}), root-plugin-io-xml (>= ${binary:Version}), root-plugin-math-fumili (>= ${binary:Version}), root-plugin-tree-treeviewer (>= ${binary:Version}), root-system-proofd (>= ${binary:Version}), root-system-rootd (>= ${binary:Version}), root-system-doc  (>= ${binary:Version})
Suggests: libroot-bindings-python-dev (>= ${binary:Version}), libroot-bindings-ruby-dev (>= ${binary:Version}), libroot-proof-clarens-dev (>= ${binary:Version}), libroot-roofit-dev (>= ${binary:Version}), root-plugin-geom-gdml (>= ${binary:Version}), root-plugin-montecarlo-pythia8 (>= ${binary:Version}), root-plugin-net-globus (>= ${binary:Version}), root-plugin-proof-peac (>= ${binary:Version}), root-plugin-sql-mysql (>= ${binary:Version}), root-plugin-sql-pgsql (>= ${binary:Version})
Description: metapackage to install all ROOT packages
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently.
 .
 With the data defined as a set of objects, specialized storage methods
 can give direct access to the separate attributes of the selected
 objects, without having to touch the bulk of the data. Included are
 histogramming methods in 1, 2 and 3 dimensions, curve fitting, function
 evaluation, minimization, graphics and visualization classes to allow the
 easy creation of an analysis system that can query and process the data
 interactively or in batch mode.
 .
 The command language, the scripting (or macro) language, and the   
 programming language are all C++, thanks to the built-in CINT C++    
 interpreter. This interpreter removes the time consuming compile/link
 cycle, allowing for fast prototyping of the macros, and providing a
 good environment to learn C++. If more performance is needed, the
 interactively developed macros can be compiled using a C++ compiler.
 .
 The system has been designed in such a way that it can query its
 databases in parallel on MPP machines or on clusters of workstations
 or high-end PCs. ROOT is an open system that can be dynamically
 extended by linking external libraries. This makes ROOT a premier
 platform on which to build data acquisition, simulation and data
 analysis systems.
 .
 This package is a metapackage to ensure the installation of all
 possible ROOT packages on a system. 
 
Package: libroot-bindings-python5.34
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends} 
Provides: ${python:Provides}
Replaces: root-plugin-python  (<< 5.09.01-1)
Breaks: libroot-bindings-python-dev (<< 5.34.00-2)
Description: Python extension for ROOT - runtime libraries 
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package contains the Python plug-in for ROOT.  This package
 provide a Python interface to ROOT, and a ROOT interface to Python.

Package: libroot-bindings-python-dev
Architecture: any
Section: libdevel
Depends: libroot-bindings-python5.34 (= ${binary:Version}), libroot-core-dev, python-dev (>= 2.1), ${python:Depends}, ${misc:Depends} 
Replaces: libroot-python-dev
Breaks: libroot-python-dev (<< 5.19.01-1)
Description: Python extension for ROOT - development files 
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package contains the development files of Python plug-in for ROOT.

Package: libroot-bindings-ruby5.34
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends} 
Replaces: root-plugin-ruby  (<< 5.09.01-1)
Description: Ruby extension for ROOT - run-time library
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package contains the Ruby extension for ROOT.  The interface
 goes both ways - that is, you can call ROOT functions from Ruby, and
 invoke the Ruby interpreter from ROOT. 

Package: libroot-bindings-ruby-dev
Architecture: any
Section: libdevel
Depends: libroot-bindings-ruby5.34 (= ${binary:Version}), libroot-core-dev, ruby1.9.1-dev | ruby-dev (>= 4.9), ${misc:Depends} 
Breaks: libroot-ruby (<< 5.19.01-1)
Replaces: libroot-ruby
Description: Ruby extension for ROOT - development headers
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package contains the Ruby extension for ROOT.

Package: libroot-graf3d-gl5.34
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: root-plugin-graf3d-gl (<< 5.19.00-1)
Replaces: root-plugin-graf3d-gl (<< 5.19.00-1)
Provides: root-plugin-graf3d-gl
Description: GL plugin for ROOT - runtime library
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package contains the GL plug-in for ROOT.  This plugin provides
 3D rendering of volumes and shapes defined in ROOT, as well as 3D 
 rendering of histograms, and similar.  Included is also a high quality 
 3D viewer for ROOT defined geometries.

Package: libroot-graf3d-gl-dev
Architecture: any
Section: libdevel
Depends: libroot-graf3d-gl5.34 (= ${binary:Version}), libgl2ps-dev, ${misc:Depends}
Breaks: root-plugin-graf3d-gl (<< 5.19.00-1)
Replaces: root-plugin-graf3d-gl
Description: GL plugin for ROOT - development files
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package contains the GL plug-in for ROOT.  This plugin provides
 3D rendering of volumes and shapes defined in ROOT.  Included is also
 a high quality 3D viewer for ROOT defined geometries.

Package: libroot-io-xmlparser5.34
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML parser of ROOT objects - runtime library
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package provides XML parser routines for ROOT objects.

Package: libroot-io-xmlparser-dev
Architecture: any
Section: libdevel
Depends: libroot-io-xmlparser5.34 (= ${binary:Version}), libroot-core-dev, ${misc:Depends}
Replaces: libroot-dev, root-plugin-xml
Breaks: libroot-dev (<< 5.19.01-1), root-plugin-xml (<< 5.19.01-1)
Description: XML parser of ROOT objects - development files
 The ROOT system provides a set of OO frameworks with all the
 functionality needed to handle and analyze large amounts of data
 efficiently. 
 .
 This package provides development files of XML parser routines for ROOT
 objects.

Package: libroot-math-mathmore5.34
Section: libs

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PREFIX		= /usr
SYSCONFDIR	= /etc

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_ARCH	     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
EXTRA_LDFLAGS  := $(LDFLAGS)

export CFLAGS EXTRA_LDFLAGS RUBYARCHINC DEB_HOST_MULTIARCH

RUBYHEADERDIR   := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyhdrdir"]')

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
PLATFORM	= linux
else
PLATFORM	=
endif
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
BUILDOPT	= --build=debug
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM = -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif
UNUR		= --enable-unuran
#ifneq (,$(findstring alpha, $(DEB_BUILD_ARCH)))
#UNUR		= --disable-unuran
#endif
#XRD		= --enable-xrootd
#ifneq (,$(findstring sparc, $(DEB_BUILD_ARCH)))
XRD		= --disable-xrootd
#endif

DTMP		= debian/tmp
PKGDOCDIR	= $(PREFIX)/share/doc/root
CINTDIR		= $(PREFIX)/lib/$(DEB_HOST_MULTIARCH)/root$(SOVERS)
ICONTHEME	= $(PREFIX)/share/icons/hicolor/48x48
CONFOPTIONS	:=--enable-bonjour				\
		  --enable-cintex				\
		  --enable-clarens				\
		  --enable-editline				\
		  --enable-explicitlink				\
		  --enable-gdml					\
		  --enable-globus				\
		  --enable-gsl-shared				\
		  --enable-gviz					\
		  --enable-fftw3				\
		  --enable-krb5					\
		  --enable-ldap					\
		  --enable-qt					\
		  --enable-qtgsi				\
		  --enable-mathcore				\
		  --enable-mathmore				\
		  --enable-memstat				\
		  --enable-minuit2				\
		  --enable-mysql				\
		  --enable-peac					\
		  --enable-pgsql				\
		  --enable-pythia8				\
		  --enable-odbc					\
		  --enable-reflex				\
		  --enable-roofit				\
		  --enable-ruby					\
		  --enable-shadowpw				\
		  --enable-shared				\
		  --enable-soversion				\
		  --enable-table				\
		  --disable-rpath				\
		  --disable-afs					\
		  --disable-srp					\
		  --disable-builtin-afterimage			\
		  --disable-builtin-ftgl			\
		  --disable-builtin-freetype			\
		  --disable-builtin-glew			\
		  --disable-builtin-pcre			\
		  --disable-builtin-zlib			\
		  --disable-alien				\
		  --disable-chirp				\
		  --disable-dcache				\
		  --disable-gfal				\
		  --disable-monalisa				\
		  --disable-oracle				\
		  --disable-pythia6				\
		  --disable-rfio				\
		  --disable-sapdb				\
		  --fail-on-missing				\
		  --with-globus=/usr				\
		  --with-globus-incdir=/usr/include/globus	\
		  --with-globus-libdir=/usr/lib			\
		  --with-ruby-incdir=$(RUBYHEADERDIR)		\
		  --with-pythia8-incdir=/usr/include/pythia8	\
		  $(UNUR)					\
		  $(XRD)					\
		  $(BUILDOPT)
#
# Things for the future 
#
#		  --enable-mathcore	libroot
#		  --enable-cintex	libroot
#		  --enable-reflex	libroot
#		  --with-globus=/opt/globus
#		  --disable-builtin-gsl				
#		  --disable-builtin				\

VERSION		:= $(shell head -n1 debian/changelog | cut -d' ' -f2 | tr -d '()')
MAJOR		:= $(shell echo $(VERSION) | cut -f1 -d'.')
MINOR		:= $(shell echo $(VERSION) | cut -f2 -d'.')
SOVERS		:= $(MAJOR).$(MINOR)
PKGLIST		:= $(shell ./configure $(PLATFORM) --pkglist $(CONFOPTIONS) | sed -n -e 's/packages: //p')
ESSENTIALS	:= libroot-core-dev			\
		   libroot-core				\
		   root-system-bin			\
		   root-system-common			\
		   ttf-root-installer		
PLUGINS		:= libroot-geom				\
		   libroot-graf2d-gpad			\
		   libroot-graf2d-graf			\
		   libroot-graf2d-postscript		\
		   libroot-graf3d-eve			\
		   libroot-graf3d-g3d			\
		   libroot-graf3d-gl			\
		   libroot-gui				\
		   libroot-gui-ged			\
		   libroot-hist				\
		   libroot-hist-spectrum		\
		   libroot-html				\
		   libroot-io				\
		   libroot-io-xmlparser			\
		   libroot-math-foam			\
		   libroot-math-genvector		\
		   libroot-math-mathcore		\
		   libroot-math-mathmore		\
		   libroot-math-matrix			\
		   libroot-math-minuit			\
		   libroot-math-mlp			\
		   libroot-math-quadp			\
		   libroot-math-physics			\
		   libroot-math-smatrix			\
		   libroot-math-splot			\
		   libroot-math-unuran			\
		   libroot-misc-minicern		\
		   libroot-misc-memstat			\
		   libroot-misc-table			\
		   libroot-montecarlo-eg		\
		   libroot-montecarlo-vmc		\
		   libroot-net				\
		   libroot-net-auth			\
		   libroot-net-bonjour			\
		   libroot-net-ldap			\
		   libroot-proof			\
		   libroot-proof-proofplayer		\
		   libroot-tmva				\
		   libroot-tree				\
		   libroot-tree-treeplayer		\
		   root-plugin-geom-geombuilder		\
		   root-plugin-geom-geompainter		\
		   root-plugin-graf2d-asimage		\
		   root-plugin-graf2d-gviz		\
		   root-plugin-graf2d-qt		\
		   root-plugin-graf2d-x11		\
		   root-plugin-graf2d-gvi		\
		   root-plugin-graf3d-x3d		\
		   root-plugin-gui-fitpanel		\
		   root-plugin-gui-guibuilder		\
		   root-plugin-gui-qt			\
		   root-plugin-gui-sessionviewer	\
		   root-plugin-hist-hbook		\
		   root-plugin-hist-histpainter		\
		   root-plugin-hist-spectrumpainter	\
		   root-plugin-io-sql			\
		   root-plugin-io-xml			\
		   root-plugin-math-fftw3		\
		   root-plugin-math-fumili		\
		   root-plugin-math-minuit2		\
		   root-plugin-net-krb5			\
		   root-plugin-net-netx			\
		   root-plugin-sql-odbc			\
		   root-plugin-tree-treeviewer		\
		   root-system-proofd			\
		   root-system-doc			\
		   root-system-rootd
EXTRAS		:= libroot-proof-clarens		\
		   libroot-bindings-python		\
		   libroot-roofit			\
		   libroot-bindings-ruby		\
		   root-plugin-geom-gdml		\
		   root-plugin-io-castor		\
		   root-plugin-io-chirp			\
		   root-plugin-io-dcache		\
		   root-plugin-montecarlo-pythia8	\
		   root-plugin-net-globus		\
		   root-plugin-net-bonjour		\
		   root-plugin-net-alien		\
		   root-plugin-net-srp			\
		   root-plugin-proof-peac		\
		   root-plugin-sql-maxdb		\
		   root-plugin-sql-mysql		\
		   root-plugin-sql-oracle		\
		   root-plugin-sql-pgsql		
PLUGINLIST	:= $(filter-out $(EXTRAS) $(ESSENTIALS), $(PKGLIST))
EXTRALIST	:= $(filter-out $(PLUGINS) $(ESSENTIALS), $(PKGLIST))
PLUGINLIST	:= $(PLUGINLIST:libroot%=libroot%-dev)
EXTRALIST	:= $(EXTRALIST:libroot%=libroot%-dev)
PLUGINHEAD	:= $(filter-out $(lastword $(PLUGINLIST)), $(PLUGINLIST))
PLUGINLIST	:= $(PLUGINHEAD:%=%,) $(lastword $(PLUGINLIST))
EXTRAHEAD	:= $(filter-out $(lastword $(EXTRALIST)), $(EXTRALIST))
EXTRALIST	:= $(EXTRAHEAD:%=%,) $(lastword $(EXTRALIST))
TEMPLATES	:= $(wildcard debian/skel/*.links.in) \
                   $(wildcard debian/skel/*.menu.in) \
                   $(wildcard debian/skel/*.prerm.in) \
                   $(wildcard debian/skel/*.preinst.in) \
                   $(wildcard debian/skel/*.postinst.in) \
                   $(wildcard debian/skel/*.init.in) \
                   $(wildcard debian/skel/*.desktop.in)
SPKGLIST	:= $(filter-out root-system-doc root-system-common ttf-root-installer, $(PKGLIST:libroot%=libroot%$(SOVERS))) $(filter libroot%, $(PKGLIST:libroot%=libroot%-dev)) libroot-static
IPKGLIST	:= root-system-doc ttf-root-installer root-system-common root-system
DPKGLIST	:= $(SPKGLIST:%=%,) root-system-doc, root-ttf
#root-plugins root-extra-plugins
SPKGOPTS	:= $(SPKGLIST:%=-p%) 
IPKGOPTS	:= $(IPKGLIST:%=-p%) 
PKGOPTS		:= $(IPKGOPTS) $(SPKGOPTS)
HAVERUBY	:= $(filter libroot-bindings-ruby, $(PKGLIST))
ifeq ($(HAVERUBY), libroot-bindings-ruby)
